;$Id: trifenestra_bottompanelbase.pro,v 1.1 2002/07/05 17:59:50 amunter Exp $
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
;
;pro opbpDraw,event
;
;	widget_control,event.top,get_uvalue=self
;	self -> opbpDrawEvent,event
;
;	return
;end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro trifenestra::opbpDrawEvent, event

	if n_elements(*self.y_bp) lt 2 then return

	if event.press eq 1 then begin ; left button of the mouse

		; Change the event handler.
		widget_control, event.id, set_uvalue = 'opbpZoomEvent'
		self.xstart = event.x
		self.ystart = event.y

	endif else if event.press eq 4 then begin ; right button of the mouse

		!trifenestra.bottomPanelState.bang_x.range = $
			[min(*self.x_bp),max(*self.x_bp)]
		!trifenestra.bottomPanelState.bang_y.range = $
			[min(*self.y_bp),max(*self.y_bp)]

		self -> updateivsx

	endif

	return

end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro opbpzoom, event
widget_control, event.top, get_uvalue=self
self -> opbpzoomevent, event
return
end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro trifenestra::opbpzoomEvent,event

	idl_state_restore, !trifenestra.bottomPanelState

	wset,self.pixmapid_bp

	plot,*self.x_bp,*self.y_bp,pos=[.23,.25,.88,.9]	$
		,yran=!y.range,xtitle=self.xtitle,ytitle='I' $;,xticks=3	$
		,xran=!x.range,yticks=2,psym=3,xstyle=1, ystyle=1

	errplot,*self.x_bp,*self.y_bp-*self.dy_bp,*self.y_bp+*self.dy_bp

	wset,self.bpwinid

	device,copy=[0,0,self.xsize_bp,self.ysize_bp,0,0,self.pixMapid_bp] ; clean picture

	plots,[self.xstart,event.x,event.x,self.xstart,self.xstart]	$
		,[self.ystart,self.ystart,event.y,event.y,self.ystart],/device

if event.release eq 1 then begin
	widget_control,event.id,set_uvalue='opbpDrawEvent'
	if abs(self.xstart[0]-event.x[0]) gt 10 	$
		or abs(self.ystart[0]-event.y[0]) gt 10 then begin

	zoombox = convert_coord( [self.xstart,event.x],[self.ystart,event.y]	$
				,/device,/to_data)

	!trifenestra.bottomPanelState.bang_x.range = $
		[min(zoombox[0,*]),max(zoombox[0,*])]
	!trifenestra.bottomPanelState.bang_y.range = $
		[min(zoombox[1,*]),max(zoombox[1,*])]
	self -> updateivsx
	endif
endif

return
end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
function trifenestra_BottomPanelBase, base, xsize, ysize

	return, widget_draw( base $
		, xsize = xsize $
		, ysize = ysize $
		, /button_events $
		, /motion_event $
		, uvalue = 'opbpdrawevent' $
		, event_pro='trifenestra_event' $
		)

end