;$Id: trifenestra_command_window.pro,v 1.2 2002/04/26 22:41:53 jmspark Exp $
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro trifenestra::_exit

	widget_control, !trifenestra.wCommandWindow, map = 0

	if not widget_info( !trifenestra.wTrife, /valid_id ) then return

	wView = widget_info( !trifenestra.wTrife $
		, find_by_uname = 'view_command_window' )
	widget_control, wView, set_value = '  Command Window'

end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro trifenestra_command_window_event, event

	message, 'Surprisingly, this procedure is used here.', /continue

end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro trifenestra_command_window_cleanup, tlb


	wTrife = long( widget_info( tlb, /uname ) )
	if not widget_info( wTrife, /valid_id ) then return

	wView = widget_info( wTrife $
		, find_by_uname = 'view_command_window' )
	widget_control, wView, set_value = '  Command Window'


end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
function trifenestra_command_window, wTrife

	wTop = widget_base( /col $
		, title = 'Trifenestra Command Window' $
		, group_leader = wTrife $
		, uname = strtrim( string( wTrife ), 2 ) )

	widget_control, wTop, /realize
	widget_control, wTop, map = 0

	wCommandLine = trifenestra_command_line( wTop )
	!trifenestra.wCommandLog = trifenestra_command_log( wTop )

	void = pos_widget( wTop )

	widget_control, wTrife, get_uvalue = uvalue
	widget_control, wTop, set_uvalue = uvalue

	xmanager, 'trifenestra_command_window', wTop, /no_block $
		, cleanup = 'trifenestra_command_window_cleanup'

	return, wTop

end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************