;$Id: trifenestra_titlebase.pro,v 1.2 2002/10/23 15:46:38 jmspark Exp $
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro trifenestra::title, event

	; titleid = widget_info(self.tlb, find_by_uname='title')
	; widget_control, titleid, get_value = value
	self -> widget_control, 'title', get_value = value

	value = trifenestra_beautify_string( value )
	if obj_valid( self.oDave ) then begin
		void = self.oDave -> set( histlabel = value )
		self -> updateimage
	endif

end

pro trifenestra::xtitle, event

	; titleid = widget_info(self.tlb, find_by_uname='xtitle')
	; widget_control, titleid, get_value = value

	self -> widget_control, 'xtitle', get_value = value
	value = trifenestra_beautify_string( value )
	if obj_valid( self.oDave ) then begin
		void = self.oDave -> set( xlabel = value )
		self -> updateimage
	endif

end

pro trifenestra::ytitle, event

	; titleid = widget_info(self.tlb, find_by_uname='ytitle')
	; widget_control, titleid, get_value = value

	self -> widget_control, 'ytitle', get_value = value
	value = trifenestra_beautify_string( value )
	if obj_valid( self.oDave ) then begin
		void = self.oDave -> set( ylabel = value )
		self -> updateimage
	endif

end



function trifenestra_titlebase, base

titles = widget_base( base, /col, /frame $
	, event_pro = 'trifenestra_event' )

!trifenestra.self -> widgets $
	, cw_field(titles $
		, tit='Title'	$
		, value='Title' $
		, /string $
		, uname='title'	$
		, /return_events $
		, /column $
		, uvalue = 'title' ) $
	, 'title'

!trifenestra.self -> widgets $
	, cw_field(titles $
		,tit='X Title'	$
		,value='X Title' $
		,uname='xtitle' $
		,/string $
		,/return_events $
		, /column $
		, uvalue = 'xtitle' ) $
	, 'xtitle'

!trifenestra.self -> widgets $
	, cw_field(titles $
		,tit='Y Title'	$
		,value='Y Title' $
		,uname='ytitle' $
		,/string $
		,/return_events $
		, /column $
		, uvalue = 'ytitle' ) $
	, 'ytitle'

return, titles

end